#
# spec file for package wpa_supplicant (Version 0.6.9)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           wpa_supplicant
BuildRequires:  dbus-1-devel libnl-devel libqt4 libqt4-devel openssl-devel pkg-config readline-devel
Url:            http://hostap.epitest.fi/wpa_supplicant/
Version:        0.6.9
Release:        4
License:        BSD3c(or similar) ; GPLv2+
Group:          Productivity/Networking/Other
Summary:        WPA supplicant implementation
Source:         http://hostap.epitest.fi/releases/wpa_supplicant-%{version}.tar.bz2
Source1:        config
Source2:        %{name}.conf
Source3:        fi.epitest.hostap.WPASupplicant.service
Source4:        logrotate.wpa_supplicant
Patch0:         wpa_supplicant-driver-wext-debug.patch
# wpa_supplicant-flush-debug-output.patch won't go upstream as it might
# change timings
Patch1:         wpa_supplicant-flush-debug-output.patch
# wpa_supplicant-sigusr1-changes-debuglevel.patch won't go upstream as it
# is not portable
Patch2:         wpa_supplicant-sigusr1-changes-debuglevel.patch
Patch3:         wpa_supplicant-dbus-iface-segfault-fix.patch
Patch4:         wpa_supplicant-errormsg.patch
Patch5:         wpa_supplicant-dbus-reset-eapol.patch
Patch6:         wpa_supplicant-fix_dbus_config.patch
#Patch7:         wpa_supplicant-fix_dbus_config2.patch
# wpa_supplicant-roaming.patch won't go upstream as it is an ugly hack, once
# roaming is implemented in a clean way this patch should be removed
Patch8:         wpa_supplicant-roaming.patch
Patch9:         wpa_supplicant-pkcs11-init-args.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       logrotate

%description
wpa_supplicant is an implementation of the WPA Supplicant component,
i.e., the part that runs in the client stations. It implements key
negotiation with a WPA Authenticator and it controls the roaming and
IEEE 802.11 authentication/association of the wlan driver.



Authors:
--------
    Jouni Malinen <jkmaline@cc.hut.fi>

%package gui
License:        BSD3c(or similar) ; GPLv2+
Summary:        WPA supplicant graphical front-end
Requires:       wpa_supplicant
Group:          System/Monitoring

%description gui
This package contains a graphical front-end to wpa_supplicant, an
implementation of the WPA Supplicant component.



Authors:
--------
    Jouni Malinen <jkmaline@cc.hut.fi>

%prep
%setup -n wpa_supplicant-%{version}
cp %{SOURCE1} wpa_supplicant/.config
%patch0 -p2
%patch1 -p2
%patch2 -p2
%patch3 -p2
%patch4 -p2
%patch5 -p1
%patch6 -p1
#patch7 -p1
%patch8 -p2
%patch9 -p2

%build
cd wpa_supplicant
CFLAGS="$RPM_OPT_FLAGS" make %{?jobs:-j%jobs} 
cd wpa_gui-qt4
qmake QMAKE_CXXFLAGS="$RPM_OPT_FLAGS"
make %{?jobs:-j%jobs}

%install
install -d %{buildroot}/%{_sbindir}
install -m 0755 wpa_supplicant/wpa_cli %{buildroot}%{_sbindir}
install -m 0755 wpa_supplicant/wpa_passphrase %{buildroot}%{_sbindir}
install -m 0755 wpa_supplicant/wpa_supplicant %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/dbus-1/system.d
install -m 0644 wpa_supplicant/dbus-wpa_supplicant.conf %{buildroot}%{_sysconfdir}/dbus-1/system.d/wpa_supplicant.conf
install -d %{buildroot}/%{_sysconfdir}/%{name}
install -m 0600 %{SOURCE2} %{buildroot}/%{_sysconfdir}/%{name}
install -d %{buildroot}/%{_datadir}/dbus-1/system-services
install -m 0644 %{SOURCE3} %{buildroot}/%{_datadir}/dbus-1/system-services
install -d %{buildroot}/%{_sysconfdir}/logrotate.d/
install -m 644 %{SOURCE4} %{buildroot}/%{_sysconfdir}/logrotate.d/wpa_supplicant
install -d %{buildroot}/%{_localstatedir}/run/%{name}
install -d %{buildroot}%{_mandir}/man{5,8}
install -m 0644 wpa_supplicant/doc/docbook/*.8 %{buildroot}%{_mandir}/man8
install -m 0644 wpa_supplicant/doc/docbook/*.5 %{buildroot}%{_mandir}/man5
install -m 755 wpa_supplicant/wpa_gui-qt4/wpa_gui %{buildroot}%{_sbindir}

%files
%defattr(-,root,root)
%doc wpa_supplicant/ChangeLog COPYING README wpa_supplicant/todo.txt wpa_supplicant/doc/wpa_supplicant.fig wpa_supplicant/examples wpa_supplicant/wpa_supplicant.conf
%{_sbindir}/wpa_cli
%{_sbindir}/wpa_passphrase
%{_sbindir}/wpa_supplicant
%config %{_sysconfdir}/dbus-1/system.d/%{name}.conf
%{_datadir}/dbus-1/system-services
%config %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/wpa_supplicant
%dir %{_localstatedir}/run/%{name}
%dir %{_sysconfdir}/%{name}
%doc %{_mandir}/man8/*
%doc %{_mandir}/man5/*

%files gui
%defattr(-,root,root)
/usr/sbin/wpa_gui

%changelog
